<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class Image extends AppModel {
	public $name = 'Image';
	public $displayField = 'description';
	public $order = 'description ASC';
	public $actsAs = array('Containable', 'SimpleXML');
	public $hasMany = array('Album' => array('foreignKey' => 'cover_id'));
	public $hasAndBelongsToMany = array(
		'Album',
		'Derivative'
	);
}

?>
