<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = $binding['name'].' - '.__('Bindings', true);

$menu->makePopupMenu(array(
	array('edit' => 'Binding', 'id' => $binding['id']),
	array('delete' => 'Binding', 'id' => $binding['id']),
	array('add' => 'Binding')
));
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?=$binding['name']?></td></tr>
	
	<?php if (!empty($binding['album_count'])): ?>
	<tr><th><?php __('Albums') ?></th>
	<td><?=$html->link(__s('View %d albums with this binding', $binding['album_count']), '/albums/index/withBinding:'.$binding['id'])?></td></tr>
	<?php endif; ?>
</table>
