<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Series', 'Album'));
?>

<form class="addedit" method="post" action="<?=Router::url('/series/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit a series', true):__('Add a series', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Series.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Series.name', __('Name', true)).'</th><td>'.$form->text('Series.name')."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.website', __('Website', true)).'</th><td>'.$form->text('Series.website')."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.completed', __('This series is over', true)).'</th><td>'.$form->checkbox('Series.completed')."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.summary', __('Summary', true)).'</th><td>'.$form->textarea('Series.summary', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.comment', __('Comment', true)).'</th><td>'.$form->textarea('Series.comment', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
echo '<tr><th>'.$form->label('RelatedSeries.RelatedSeries', __('Related series', true)).'</th><td>'.$form->select('RelatedSeries.RelatedSeries', $seriesList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight')), null)."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
