<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Troubleshooting</h2>

<p>Here is a list of possible problems, and how to solve them. It shouldn't be
necessary to read it unless you have a problem.</p>

<ul>

<li>
<h4 id="popups">The quick search doesn't show results when I select them.
	<br /><em>or</em><br />
	The image browser doesn't show up.
	</h4>
<p>These functions rely on Javascript popups. Many browser come with a popup
blocker to block advertisments. The settings of the blocker vary from
one browser to the other, and might be too restrictive for Demo. You should
disable your popup blocker for Demyo.</p>
<p>Refer to your browser's documentation to configure the settings:</p>
<ul>
	<li><a href="http://support.mozilla.com/en-US/kb/Pop-up+blocker">Mozilla Firefox</a></li>
	<li><a href="http://windowshelp.microsoft.com/Windows/en-us/help/6553df0e-c42b-4f47-8376-7e76950e8f241033.mspx">Microsoft Internet Explorer</a></li>
	<li><a href="http://www.google.com/support/chrome/bin/answer.py?answer=95472">Google Chrome</a></li>
	<li><a href="http://www.opera.com/browser/tutorials/settings/#tabs">Opera</a></li>
	<li><a href="http://www.apple.com/safari/">Safari</a></li>
	<li>Others: search for their product support pages..</li>
</ul>
</li>

</ul>