<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Images</h2>

<p>Dans Demyo, une <em>image</em> est une représentation d'un fichier sur le
disque dur (ou sur le réseau). Les images ne sont pas ajoutées en sélectionnant
directement un fichier de votre disque dur comme couverture d'un album.
Il s'agit plutôt de créer une entité qui possède une description (indépendante
du nom du fichier) et un chemin&nbsp;; et peut ensuite être ajoutée à un album,
un dérivé ou autre.</p>

<h3>Ajouter ou éditer une image</h3>

<p>Lors de l'ajout d'une image, il est nécessaire de spécifier un <em>chemin</em>
et une <em>description</em>. Remplir la description est trivial, pensez juste
à entrer quelque chose que vous retrouverez aisément.</p>

<p>Le chemin, par contre, est un peu plus difficile à compléter. Il décrit
l'emplacement d'un fichier sur l'ordinateur et peut être rempli en cliquant sur
le bouton près du champ. Une fenêtre s'affichera pour présenter un gestionnaire
de fichiers qui vous permettra de sélectionner l'image désirée d'un clic.
Vous pouvez prévisualiser l'image, et cliquer sur son nom pour la sélectionner.</p> 

<p>Pour des raisons techniques, Demyo ne permet pas de parcourir l'entièreté
de votre ordinateur pour trouver un fichier. Celui-ci devra se trouver dans un
répertoire spécifique (<tt class="path"><?=COLLECTION_IMAGES?></tt>) ou dans
n'importe quel sous-répertoire de celui-ci (ou dans un sous-sous-répertoire,
etc.). Pour copier un fichier à cet emplacement, utilisez votre gestionnaire
de fichiers habituel.</p>

<p class="tip"><strong>Truc:</strong> Quand vous parcourez un répertoire,
utilisez les capacités de recherche de votre navigateur Internet. Dans la
plupart des navigateurs, appuyer sur <em>Ctrl+F</em> affichera une boîte de
rechercher qui vous permettre de rapidement trouver un fichier (en fonction
d'une partie de son nom) sur la page courante.</p>

<p>Il est aussi possible de lier directement des images se trouvant sur
Internet. Pour ce faire, il suffit de copier l'adresse Internet complète dans
le champ <em>chemin</em>. Cette pratique n'est cependant pas recommandée&nbsp;:
l'image s'affichera plus lentement, et pourrait être effacée par l'hébergeur.
Certains sites ne permettent pas non plus de faire des liens directs vers leurs
images, qu'ils appliquent des mesures préventives ou pas. Il est généralement
considéré comme manquant de respect d'aller à l'encontre de leur demande.</p>