<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Tags</h2>

<p>Les tags sont une des fonctionnalités clés des logiciels récents. Ils sont
conçus pour décrire du contenu. Dans ce cas, le contenu est un album.</p>

<p>Les tags sont d'habitude utilisés pour catégoriser des éléments. Cependant,
contrairement à ce qui est possible avec des catégories, les éléments peuvent
être <em>taggés</em> avec autant de tags que vous le souhaitez: un album
peut être apparenté à de la science-fiction et à du fantastique en même temps,
par exemple. Il est aussi possible d'utiliser les tags de nombreuses autres
manières, comme en créant un tag <em>cadeau</em> pour les albums qui vous ont
été offerts.</p>

<h3>Ajouter un tag à un album</h3>

<p>Pour ajouter un tag à un album, mentionnez le dans le champ des tags de cet
album lors de l'édition. Si le tag n'existe pas, il sera créé automatiquement.</p>

<!-- TODO
<p class="see-also"><strong>See also:</strong> <link to album edition help></p>
 -->

<h3>Renommer un tag</h3>

<p>Les tags peuvent être renommés en se rendant sur la page de vue du tag, et
en sélectionnant <em>Renommer ce tag</em> dans le menu. Tous les albums taggés
de la sorte feront désormais référence au nouveau nom.</p>