<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('Derivatives', true);
?>
<div id="stickers">
<?php
foreach($derivatives as $derivative) {
	$date = __date($derivative['Album']['first_edition'], '%B %Y');
	$albumTitle = '';
	$number = '';
	
	if (! empty($derivative['Album']['title'])) {
		$albumTitle = '<span>';
		$albumTitle .= ($derivative['Album']['cycle'] != 0)?($derivative['Album']['cycle'].'.'):'';
		if (!empty($derivative['Album']['number']))
			$albumTitle .= $derivative['Album']['number'].'.';
		$albumTitle .= '</span>'.$derivative['Album']['title'];
		$albumTitle = '<p class="album">'.$albumTitle.'</p>';
	}
	
	$source = '<p class="source">'.$derivative['Source']['name'].'</p>';
	
	$number = '';
	if (! empty($derivative['Derivative']['number'])) {
		$number = $derivative['Derivative']['number'];
		if (! empty($derivative['Derivative']['total']))
			$number .= '/'.$derivative['Derivative']['total'];
	}
	if (!empty($derivative['Derivative']['authors_copy']))
		$number .= ' '.__('Author\'s copy_short_', true);
	if (!empty($derivative['Derivative']['restricted_sale']))
		$number .= ' '.__('Restricted sale_short_', true);
	/*if (!empty($number))
		$number = '<p class="number">'.$number.'</p>';*/
	
	if (!empty($date))
		$date = '<p class="date">'.$date.'</p>';
?>
	<div class="sticker"><div>
			<p class="series"><?=$derivative['Series']['name']?></p>
			<?=$albumTitle?>

			<p class="author"><?=$derivative['Artist']['meta_name']?></p>

			<?=$source?>

			<p class="type_number"><?=$derivative['DerivativeType']['name']?>
			<?=$number?></p>
			

			<?=$date?>
			
	</div></div>
<?php
}
?>
</div>
