<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$basePct = 75;
$uttermost = 225;
$occurences = '';
foreach($tags as $tag) {
	$name = '<a href="'.Router::url('/tags/view/'.$tag['Tag']['id'])."\">{$tag['Tag']['name']}</a>";
	$weight = $basePct+floor($tag['Tag']['occurences_normalized'])*3;
	if ($showOccurences)
		// Non-breaking space is really required
		$occurences = "&nbsp;<span style=\"font-size: $basePct%; margin-right: 2em\">({$tag['Tag']['occurences']})</span>";
	echo '<span style="font-size: '.($weight>=$uttermost?$uttermost:$weight)."%\">$name</span> $occurences\n";
}
?>