<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>
		<?php echo $title_for_layout;?> - Demyo
	</title>

	<?php echo $html->charset();?>

	<link rel="icon" href="<?php echo $this->webroot;?>/img/favicon.ico" type="image/x-icon" />
	<link rel="shortcut icon" href="<?php echo $this->webroot;?>/img/favicon.ico" type="image/x-icon" />
	<?php echo $html->css('demyo');?>
	<?php echo $scripts_for_layout;?>
	
</head>
<body class="help">
	<div id="container"><!-- TODO: check in IE7 if it works without this div#container -->
		<div id="header">
			Demyo comics manager
		</div>
		<div id="content">
			<?php
				if ($session->check('Message.flash')):
						$session->flash();
				endif;
			?>

			<?php echo $content_for_layout;?>

		<div class="clearer"></div>
		</div>
		<div id="footer">
			<?=sprintf(__('Demyo "%s" (%s) running on CakePHP %s.', true), Configure::read('Demyo.versionCodename'), Configure::read('Demyo.versionAsString'), Configure::version())?>
		</div>
	</div>
	<?php echo $cakeDebug?>
</body>
</html>
