<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __s('Editing "%s"', $this->data['Source']['name']).' - '.__('Sources', true);

$quicksearch->setSearchCategories(array('Source'));

$menu->makePopupMenu(array(array('add' => 'Derivative')));

?>
<form class="addedit" method="post" action="<?=Router::url('/sources/edit')?>">
<fieldset>
<legend><?php __('Edit a source') ?></legend>
<?php
echo $form->hidden('Source.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Source.name', __('Name', true)).'</th><td>'.$form->text('Source.name')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.owner', __('Owner', true)).'</th><td>'.$form->text('Source.owner')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.website', __('Website', true)).'</th><td>'.$form->text('Source.website')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.email', __('Mail', true)).'</th><td>'.$form->text('Source.email')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.phone_number', __('Phone number', true)).'</th><td>'.$form->text('Source.phone_number')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.address', __('Address', true)).'</th><td>'.$form->textarea('Source.address', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.history', __('History', true)).'</th><td>'.$form->textarea('Source.history', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php __('Update') ?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>